package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * icd编码库对象 fs_icd
 *
 * @author fs
 * @date 2024-04-22
 */
public class FsIcd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** icd编号 */
    @Excel(name = "icd编号")
    private String icdCode;

    /** icd增加编号 */
    @Excel(name = "icd增加编号")
    private String icdAddCode;

    /** icd拼音 */
    @Excel(name = "icd拼音")
    private String icdPinyin;

    /** icd五笔 */
    @Excel(name = "icd五笔")
    private String icdWubi;

    /** icd名称 */
    @Excel(name = "icd名称")
    private String icdName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setIcdCode(String icdCode)
    {
        this.icdCode = icdCode;
    }

    public String getIcdCode()
    {
        return icdCode;
    }
    public void setIcdAddCode(String icdAddCode)
    {
        this.icdAddCode = icdAddCode;
    }

    public String getIcdAddCode()
    {
        return icdAddCode;
    }
    public void setIcdPinyin(String icdPinyin)
    {
        this.icdPinyin = icdPinyin;
    }

    public String getIcdPinyin()
    {
        return icdPinyin;
    }
    public void setIcdWubi(String icdWubi)
    {
        this.icdWubi = icdWubi;
    }

    public String getIcdWubi()
    {
        return icdWubi;
    }
    public void setIcdName(String icdName)
    {
        this.icdName = icdName;
    }

    public String getIcdName()
    {
        return icdName;
    }


}
